Rails.application.routes.draw do
  mount RxModule::Engine => "/api/rx_module"
  scope :api do
    resources :pdf_results
    post "/pdf_results/run" => "pdf_results#run"
    post "/pdf_results/:id/rerun" => "pdf_results#rerun"
    get "/pdf_results/:id/download" => "pdf_results#download"
    resources :templates
  end
  root "/", controller: :index, action: :show, as: :index_show
  match "*path" => "index#show", :via => :all
end
