class TemplatesController < ApplicationController
  model_data_store(Template, {create: true, read: true, update: true, delete: true, index: true}, {create: true, update: true, delete: true})

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:template).permit(:name, :desc, :width, :height, :margin_top, :margin_bottom, :margin_left, :margin_right, :landscape, :length_unit)
  end
end
