import * as React from 'react';
import {observer} from "mobx-react-lite";
import {moduleInfo} from "@rx-suite/stores";
import {PdfResultModel} from "../../stores/PdfResultStore";

export const ModuleIDCell: React.FunctionComponent<{ result: PdfResultModel }> = observer(({result}) => {
    const info = moduleInfo(result.module_id);
    return <>
        {(info && info.module_name) ? info.module_name : null}
    </>
});
