class GenerationJob < ApplicationJob
  queue_as :default

  def perform(result_id, user_token)
    ActiveRecord::Base.connection_pool.with_connection do
      RxModule::Authorization.set_request_token(user_token)
      PdfResult.find(result_id).generate(user_token)
    end
  end
end
