class CreatePdfResults < ActiveRecord::Migration[6.0]
  def change
    create_table :pdf_results do |t|
      t.string :name
      t.string :notes
      t.string :module_id
      t.string :target_id
      t.string :action_id
      t.boolean :generating
      t.float :generation_percent
      t.string :generation_error
      t.string :sources
      t.string :local_storage
      t.string :pdf_cache_key
      t.integer :keep_for
      t.belongs_to :template, foreign_key: {on_delete: :nullify}

      t.timestamps
    end
  end
end
